@import url("https://use.typekit.net/whe1ywm.css");

/*mobile*/
body {
    margin: 0;
    height: auto;
    background-color: #cddceb;
}

::-webkit-scrollbar { 
    display: none; 
}

/*links*/
a {
    color: #0f2849;
}
a:link {
    text-decoration: none;
}

.underlined-link:link {
    text-decoration: underline;
}

.underlined-hover:hover {
    text-decoration: underline;
}

/*main grids*/
#main-grid {
    margin: auto;
    display: grid;
    grid-template-areas:
        "sidebar"
        "mainbody";
}

/*sidebar*/
#sidebar {
    margin: 30px 30px;
    grid-area: sidebar;
}
#topbar {
    height: 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/*menu button*/
.menu-btn {
    border: none;
    background-color: #cddceb;
    width: 25px;
    height: 25px;
    margin: 0;
    padding: 0;
}
.menu-btn-img {
    width: 100%;
    height: 100%;
}
.filter-item {
    display: none;
}
.sidebar-logo {
    width: 60px;
}
.sidebar-text {
    margin-top: 75px;
    line-height: 32px;
}

/*about page body*/
#main-body {
    margin: 45px 30px 0;
    grid-area: mainbody;
}
.first-line {
    display: flex;
    align-items: center;
}
.horizontal-logo {
    margin-left: 5px;
    height: 45px;
}
.view-my-work {
    margin-top: 30px;
}

/*work page body*/
.work-container {
    overflow: hidden;
    grid-area: mainbody;
}
#work-body {
    margin: 0 30px 45px;
}
.work-item {
    padding-top: 15px;
    margin-top: 20px;
    border-top-style: solid;
    border-width: 1px;
    display: none;
}
.show-work {
    display: block;
}
.work-image-parent {
    padding-top: 20px;
    width: 100%;
    aspect-ratio: 4 / 3;
}
.work-image {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.work-description {
    margin-right: 50px;
}

/*detailed work body*/
#detailed-work-body {
    margin: auto;
    grid-area: mainbody;
    overflow: hidden;
}
#detailed-work-grid-body {
    margin: auto;
    display: grid;
    grid-template-areas:
        "main-pic"
        "project-title"
        "project-text"
        "video"
        "project-morepics";
}
#main-pic {
    width: 100%;
    height: 400px;
    object-fit: cover;
    grid-area: main-pic;
}
#project-title {
    margin: 30px;
    grid-area: project-title;
}
#project-text {
    margin: 0 30px 0;
    grid-area: project-text;
}
#video {
    margin: 30px 30px -15px 30px;
    width: calc(100vw - 60px);
}
iframe {
    width: 100%;
    aspect-ratio: 16/9;
}
#project-morepics {
    margin: 30px;
    display: flex;
    flex-direction: column;
    grid-area: project-morepics;
}
.morepic {
    width: calc(100vw - 60px);
    margin-bottom: 15px;
}
/*contact page body*/
#contact-body {
    margin: 0 30px 45px;
    grid-area: mainbody;
}
.contact-field {
    display: flex;
    flex-direction: column;
    margin-top: 14px;
}
.entry {
    margin-bottom: 14px;
}

/*work button*/
#button-array {
    margin: 40px 0 0 0;
    display: flex;
    flex-wrap: wrap;
}
.btn {
    display: inline-block;
    width: max-content;
    padding: 0 10px;
    margin: 0 10px 10px 0;
    background-color: #cddceb;
    color: #0f2849;
    font-family: "area-inktrap", sans-serif;
    font-size: 14px;
    border: solid 1px #0f2849;
    border-radius: 100px;
}
.btn:hover {
    background-color: #ffffff4d;
    color: #0f2849;
}
.btn.active {
    background-color: #0f2849;
    color: #cddceb;
}

/*allows toggling between menu and not menu, always added to filter items*/
.show-menu {
    display: block;
}

/*fonts*/
h1, h2, h3, h4, h5, h6, p {
    color: #0f2849;
    font-family: "area-inktrap", sans-serif;
    margin: 0;
}
h1 {
    font-size: 24px;
    font-weight: 400;
    line-height: 36px;
}
h2 {
    font-size: 42px;
    line-height: 56px;
}
h3 {
    font-size: 24px;
    font-weight: 400;
}
h4 {
    font-size: 16px;
    font-weight: 700;
    line-height: 21px;
    margin-bottom: 6px;
}
h5 {
    font-size: 16px;
    font-weight: 400;
    line-height: 22px;
}
p {
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
}

.spacing {
    line-height: 14px;
}

/*footer*/
footer {
    border-top: 1px solid;
    margin: 20px 0 80px;
    padding-top: 5px;
    display: flex;
    align-items: center;
}
.footer-detailed-work-page {
    margin-left: 30px;
    margin-right: 30px;
}
.small-logo {
    width: 40px;
    margin: 5px 5px 0 0;
}

/*ipad*/
@media only screen and (min-width:825px)
{   
    /*main grids*/
    #main-grid {
        margin: auto;
        display: grid;
        grid-template-columns: 210px auto;
        grid-template-areas:
            "sidebar mainbody";
    }
    
    /*sidebar*/
    #sidebar {
        margin: 30px 50px;
    }
    #topbar {
        display: block;
        height: auto;
    }
    .sidebar-logo {
        width: 90px;
        display: block;
    }
    .sidebar-text {
        margin-top: 0;
        margin-left: 15px;
        line-height: 20px;
    }
    
    /*menu button*/
    .menu-btn {
        display: none;
    }
    
    /*about page body*/
    #main-body {
        margin: 250px 10vw 0 0;
        max-width: 750px;
    }
    .first-line {
        margin-bottom: -10px;
    }
    .horizontal-logo {
        margin-left: 5px;
        margin-top: 10px;
        height: 60px;
    }
    
    /*work page body*/
    #work-body {
        margin: 45px 30px 0 0;
        max-width: 750px;
    }
    .work-title {
        height: 75px;
    }
    .work-image-parent {
        width: 100%;
    }
    
    /*detailed work body*/
    #detailed-work-body {
        margin: 45px 30px 0 0;
        max-width: 750px;
    }
    #detailed-work-grid-body {
        margin: auto;
        display: grid;
        width: inherit;
        grid-template-columns: auto;
        grid-template-areas:
            "project-title"
            "project-text"
            "main-pic"
            "video"
            "project-morepics";
    }
    #project-title {
        min-height: 75px;
        margin: 0;
    }
    #project-text {
        margin: 0 0 30px;
    }
    #video {
        margin: 0 0 15px 0;
        width: inherit;
    }
    #project-morepics {
        margin: 0;
        display: flex;
        flex-direction: column;
    }
    #main-pic {
        height: auto;
        object-fit: cover;
        margin-bottom: 15px;
    }
    .morepic {
        width: 100%;
        /*aspect-ratio: 1;*/
        margin-bottom: 15px;
        object-fit: cover;
    }
    
    /*contact page body*/
    #contact-body {
        margin: 45px 30px 0 0;
        grid-area: mainbody;
    }
    .contact-title {
        height: 75px;
    }
    .contact-field {
        flex-direction: row;
    }
    .entry {
        margin-right: 120px;
    }
    
    /*fonts*/
    h1 {
        font-size: 32px;
        font-weight: 400;
        line-height: 48px;
    }
    h3 {
        font-size: 16px;
        font-weight: 400;
        line-height: 22px;
    }
    
    /*ensures menus are displayed correctly*/
    .ipad-desktop-true {
        display: block;
    }
    .ipad-desktop-false {
        display: none;
    }
    
    /*footer*/
    .footer-detailed-work-page {
        margin-left: 0;
        margin-right: 0;
    }
}

/*desktop*/
@media only screen and (min-width: 1200px)
{
    /*main grids*/
    #main-grid {
        grid-template-columns: 350px auto;
    }
    
    /*sidebar*/
    #sidebar {
        margin: 30px 110px;
    }
    
    /*about page body*/
    #main-body {
        margin: 225px 10vw 0 0;
        max-width: 750px;
    }
    
    /*work page body*/
    #work-body {
        margin: 45px 100px 0 0;
        max-width: 1100px;
    }
    .work-title {
        height: 75px;
    }
    .work-item {
        padding-top: 15px;
        margin-top: 20px;
        border-top-style: solid;
        border-width: 1px;
        display: none;
    }
    .show-work {
        display: grid;
        grid-template-columns: 40% auto;
        grid-template-areas: "work-description" "work-image";
    }
    .work-image-parent {
        padding: 0;
        width: 100%;
        max-width: 400px;
        aspect-ratio: 4 / 3;
        margin-left: auto;
        object-fit: cover;
    }
    .work-image {
        position: relative;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
    .work-description {
        margin-right: 50px;
    }
    
    /*detailed work body*/
    #detailed-work-body {
        margin: 45px 30px 0 0;
        max-width: 900px;
    }
    #detailed-work-grid-body {
        margin: auto;
        display: grid;
        width: inherit;
        grid-template-columns: auto;
        grid-template-areas:
            "project-title"
            "project-text"
            "main-pic"
            "video"
            "project-morepics";
    }
    #project-title {
        height: 75px;
        margin: 0;
    }
    #project-text {
        margin: 0 0 30px;
    }
    #project-morepics {
        margin: 0;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-between;
    }
    #main-pic {
        height: auto;
        object-fit: cover;
        margin-bottom: 15px;
    }
    .morepic {
        width: calc(50% - 7.5px);
        /*aspect-ratio: 1;*/
        margin-bottom: 15px;
        object-fit: cover;
    }
    
    /*fonts*/
    h1 {
        font-size: 42px;
        font-weight: 400;
        line-height: 63px;
    }
    
    /*ensures menus are displayed correctly*/
    .ipad-desktop-true {
        display: block;
    }
    .ipad-desktop-false {
        display: none;
    }
    
}